#!/bin/bash
echo "Used machine is $(uname -a)"
echo "Selected GPU is _CONDOR_Assignedgpus = '${_CONDOR_Assignedgpus}'"
BUILD_DIR="build_cmake_$(uname -n)"

if [ -d ${BUILD_DIR} ]
then
    	echo "Remove existing directory $BUILD_DIR"
        rm -fr ${BUILD_DIR}
fi

mkdir -p ${BUILD_DIR}
cd ${BUILD_DIR}

export NVCPP=/opt/nvidia/hpc_sdk/Linux_x86_64/21.9/compilers/bin/nvc++
export CC=/opt/rh/devtoolset-11/root/usr/bin/x86_64-redhat-linux-gcc
export CXX=/opt/rh/devtoolset-11/root/usr/bin/x86_64-redhat-linux-g++
cmake3 .. -DCMAKE_CXX_COMPILER=${NVCPP} -DCMAKE_C_COMPILER=${CC}
make
./test_nvcpp

